Change a Polygonal VPort Rectangular?

Discussion in 'AutoCAD' started by rdi, Jan 31, 2004.

  1. rdi

    rdi Guest

    I've sometimes had the need to take a viewport that was previously polygonal
    and change it to rectangular. Now I know that I can use the grips to move
    the vertices--but I'd like to get rid of the associated pline.

    If I remove the 340 dotted pair from the vport list, will that safely
    disassociate the polyline from the vport? Of course I assume that I'd have
    to delete the pline myself.

    Also, what about going the other way. If I want to change from rectangular
    (no pline associated) to polygonal. Will this work?

    (setq PLEName (cdr (entsel)))
    (entmod (append VPort (list (cons 340 PLEName))))

    I'm using Ac2k4.

    TIA
     
    rdi, Jan 31, 2004
    #1
  2. rdi

    John Uhden Guest

    You can't entmod a viewport, and there's no ActiveX method I can find to modify
    its clipping.
    So to get rid of the clip:
    (if (setq clip (cdr (assoc 340 (entget vpentity))))
    (command "_.VPCLIP" clip "_D")
    )

    To add a clip by points:
    (command "_.VPCLIP" vpentity "_P")
    (mapcar 'command ptlist)
    (command "_C")

    To add a clip by another entity:
    (command "_.VPCLIP" vpentity another-ename)

    Unfortunately, the viewport's layout must be current.
     
    John Uhden, Feb 1, 2004
    #2
  3. rdi

    rdi Guest

    Thanks John. I'll give that a try.
     
    rdi, Feb 3, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.